package request

import (
	"topsdk/ability571/domain"
	"topsdk/util"
)

type AlibabaHmMarketingItempoolQueryactivityRequest struct {
	/*
	   查询商品池活动入参     */
	Param0 *domain.AlibabaHmMarketingItempoolQueryactivityCommonActivityParam `json:"param0" required:"true" `
}

func (s *AlibabaHmMarketingItempoolQueryactivityRequest) SetParam0(v domain.AlibabaHmMarketingItempoolQueryactivityCommonActivityParam) *AlibabaHmMarketingItempoolQueryactivityRequest {
	s.Param0 = &v
	return s
}

func (req *AlibabaHmMarketingItempoolQueryactivityRequest) ToMap() map[string]interface{} {
	paramMap := make(map[string]interface{})
	if req.Param0 != nil {
		paramMap["param0"] = util.ConvertStruct(*req.Param0)
	}
	return paramMap
}

func (req *AlibabaHmMarketingItempoolQueryactivityRequest) ToFileMap() map[string]interface{} {
	fileMap := make(map[string]interface{})
	return fileMap
}
